from math import exp, log, sqrt

def f(x):
    return sqrt( log(x)**2 + exp(x) ) - 2*x

def integrale(a,b,n):
    longueur = (b - a) / n
    aire_inf , aire_sup = 0 , 0

    for k in range (n):
        aire_inf = aire_inf + longueur * f(a + k * longueur )
        aire_sup = aire_sup + longueur * f(a + (k+1) * longueur )

    return aire_inf , aire_sup
